@import url('https://fonts.googleapis.com/css2?family=PT+Sans:ital@1&display=swap');

:root {
    --primary-color: purple;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html, body {
    font-family: PT Sans;
    color: navy;
    background-color: rgb(243, 243, 243);
}

h1 {
    font-size: 30px;
    font-weight: 500;
}

p {
    margin: 20px 0 10px;
    font-size: 1.1rem;
}

/*SECTION*/

section {
    display: flex;
    flex-direction: column;
    height: 100vh;
    align-items: center;
    padding: 100px;
    margin-top: 60px;
}

section.home {
    flex-direction: row;
    margin-top: 0;
}

.btn {
    background: var(--primary-color);
    color:azure;
    text-decoration: none;
    padding: 10px 30px;
    cursor: pointer;
    display: inline-block;
    margin: 20px;
    border: 0;
}

.btn:hover {
    transform: scale(.80);
}

.logo {
    position: absolute;
    top: 35px;
    left: 110px;
    font-size: 2rem;
    font-weight: 700;
    z-index: 20;
}

/*NAVIGATION*/

.navigation {
    position: fixed;
    top: 0;
    left: 100%;
    width: 100%;
    height: 100%;
    background: whitesmoke;
    z-index: 15;
    display: flex;
    justify-content: center;
    align-items: center;
}

.navigation.active {
    left: 0;
}

.navigation ul {
    position: relative;
}

.navigation ul li {
    list-style: none;
    position: relative;
    text-align: center;
}

.navigation ul li a {
    font-size: 2.2rem;
    color: navy;
    text-decoration: none;
    font-weight: 300;
}

.navigation ul li a:hover {
    color: var(--primary-color);
}

.navigation .social-bar {
    position: absolute;
    top: 0;
    left: 0;
    justify-content: center;
    align-items: center;
    height: 100%;
    display: flex;
    width: 65px;
}

.navigation .social-bar a{
    display: inline-block;
    transform: scale(0.5);
}

.navigation .email-icon {
    transform: scale(0.5);
    position: absolute;
    bottom: 30px;
}

/*TOGGLE*/

.toggle {
    position: fixed;
    top: 0;
    right: 0;
    width: 65px;
    height: 65px;
    background: var(--primary-color) url(images/menu.png);
    z-index: 25;
    background-size: 25px;
    background-repeat: no-repeat;
    background-position: center;
    cursor: pointer;
}

.toggle.active {
    background: var(--primary-color) url(images/close.png);
    background-repeat: no-repeat;
    background-position: center;
    cursor: pointer;
    background-size: 25px;
}

.home-content {
    position: relative;
    z-index: 10;
    max-width: 550px;
}

.home-img {
    position: absolute;
    bottom: 0;
    right: 0;
    height: 100%;
}

/*SERVICES*/

.services {
    margin-top: 35px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 35px;
    text-align: center;
}

.services .service {
    padding: 25px;
    background: mediumorchid;
}

.services .service:hover {
    box-shadow: 0 10px 25px;
}

.services .service h2 {
    font-size: 1.3rem;
    font-weight: 500;
    margin-top: 15px;
    color: rgb(3, 3, 99);
}

.services .service .icon img {
    max-width: 100px;
}

/*PORTFOLIO*/

.portfolio {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-top: 15px;
}

.portfolio .item {
    width: 250px;
    height: 250px;
    position: relative;
    margin: 5px;
}

.portfolio .item img {
    width: 100%;
    height: 100%;
}

.portfolio .item .action {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height:100%;
    background: rgba(3, 3, 3, 0.8);
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
}

.portfolio .item:hover .action {
    opacity: 1;
    transition: 0.7s;
}

.portfolio .item .action a {
    display: inline-block;
    color: lightblue;
    text-decoration: none;
    border: 1px solid whitesmoke;
    padding: 5px 10px;
}

/*CONTACT*/

.contact {
    position: relative;
    width: 100%;
    margin-top: 40px;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
}

.contact-form {
    position: relative;
    background: plum;
    width: calc(100% - 400px);
    padding: 50px 35px 25px;
}

.contact-form form {
    width: 100%;
}

.contact-form .row {
    width: 100%;
    display:flex;
}

.contact-form .input50{
    width: 50%;
    margin: 0 10px;
}

.contact-form .input100{
    width: 100%;
    margin: 0 10px;
}

.contact-form .row input, .contact-form .row textarea {
    position: relative;
    border: 2px solid rgba(0, 0, 0, 0.2);
    color: navy;
    background: whitesmoke;
    width: 100%;
    padding: 10px;
    outline: none;
    font-size: 1.1rem;
    font-weight: 400;
    margin: 10px 0px;
    resize: none;
}

.contact-form .row textarea {
    height: 10em;
}

.contact-form .row input[type="Submit"] {
    background-color: blueviolet;
    color: beige;
    margin: 0;
    text-transform: uppercase;
    letter-spacing: 2px;
    font-weight: 300;
    border: 0;
    cursor: pointer;
}

.contact-info {
    width: 300px;
    background: plum;
    padding: 60px 40px 20px;
}

.contact-info .info-box {
    display: flex;
    align-items: flex-start;
    margin-bottom: 60px;
}

.contact-info .info-box .contact-icon {
    width: 25px;
    margin-right: 35px;
}

.contact-info .info-box .details p, .contact-info .info-box .details a {
    color: navy;
}

@media screen and (max-width: 1070px) {
    .home-img {
        display: none;
    }

    .logo {
        top: 15px;
        left: 35px;
        font-size: 1.5rem;
    }

    section {
        padding: 100px 40px;
    }

    .navigation ul li a {
        font-size: 1.8rem;
    }

    .services {
        grid-template-columns: repeat(2, 1fr);
    }

    .contact {
        flex-direction: column;
    }

    .contact-form {
        width: 100%;
        padding: 30px 30px 20px;
        margin-bottom: 20px;
    }

    .contact-form .row {
        flex-direction: column;
    }

    .contact-form .input50, .contact-form .input100 {
        width: 100%;
        margin: 0;
    }

    .contact-info {
        margin-top: 20px;
        width: 100%;
        padding: 30px 20px 10px;
    }
}

@media screen and (max-width: 768px) {
    .services {
        grid-template-columns: 1fr;
    }
}